#
# TCL script for use with tcldiald.  Used to put VTTELNET in SLIP mode.
# By Anders Bertelrud  92-04-19
#

# The synthetic address is passed as the first argument, and the password
# as the second one
set address [lindex $args 0]
set passwd [lindex $args 1]

parity zero
set timeout 60
sleep 2
xmit {\r}
sleep 1
xmit {\r}
sleep 1
xmit {\r}
expect timeout {error "waiting for VTTELNET prompt"} "*vttelnet>*"

xmit {slip\r}
expect timeout {error "waiting for address prompt"} "*ddress:*"

xmit "$address\r"
expect timeout {error "waiting for password prompt"} "*assword:*"

xmit "$passwd\r"
expect timeout {error "waiting for SLIP mode"} "*Entering*"

sleep 1
return "Connected"
